Package com.sun.jna.platform.win32

## Class WinNT.ACCESS_ACEStructure

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACE_HEADER
    - - com.sun.jna.platform.win32.WinNT.ACCESS_ACEStructure

- Direct Known Subclasses:
    `WinNT.ACCESS_ALLOWED_ACE`, `WinNT.ACCESS_DENIED_ACE`
  Enclosing interface:
    WinNT

      @FieldOrder({"Mask","SidStart"})
      public abstract static class WinNT.ACCESS_ACEStructure
      extends WinNT.ACE_HEADER

  ACCESS_ALLOWED_ACE and ACCESS_DENIED_ACE have the same structure layout

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `Mask` |
    `(package private) WinNT.PSID` | `psid` |
    `byte[]` | `SidStart` | First 4 bytes of the SID Only used to have a valid field defined - use sid!

    - ### Fields inherited from class com.sun.jna.platform.win32.WinNT.ACE_HEADER

      `AceFlags, AceSize, AceType`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ACCESS_ACEStructure()` |
    `ACCESS_ACEStructure​(int Mask, byte AceType, byte AceFlags, WinNT.PSID psid)` |
    `ACCESS_ACEStructure​(Pointer p)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.PSID` | `getSID()` |
    `java.lang.String` | `getSidString()` |
    `void` | `read()` | Reads the fields of the struct from native memory
    `void` | `write()` | Write override due to psid not being a managed field

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Mask

          public int Mask

    - #### SidStart

          public byte[] SidStart

      First 4 bytes of the SID Only used to have a valid field defined - use sid!

    - #### psid

          WinNT.PSID psid

  - ### Constructor Detail

    - #### ACCESS_ACEStructure

          public ACCESS_ACEStructure()

    - #### ACCESS_ACEStructure

          public ACCESS_ACEStructure​(int Mask,
                                     byte AceType,
                                     byte AceFlags,
                                     WinNT.PSID psid)

    - #### ACCESS_ACEStructure

          public ACCESS_ACEStructure​(Pointer p)

  - ### Method Detail

    - #### getSidString

          public java.lang.String getSidString()

    - #### getSID

          public WinNT.PSID getSID()

    - #### write

          public void write()

      Write override due to psid not being a managed field
      Overrides:
        `write` in class `Structure`

    - #### read

          public void read()

      Description copied from class: `Structure`
      Reads the fields of the struct from native memory
      Overrides:
        `read` in class `Structure`